System.Core 3.5.0.0 4.0.0.0 System.Linq.Expressions.Expression System.Linq.Expressions.IArgumentProvider System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/NewExpressionProxy))

Use the factory methods to create a .

The value of the property of a object is .

Represents a constructor call.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression ``

  This default implementation for nodes calls . Override this method to call into a more specific method on a derived visitor class of the class. However, it should still support unknown visitors by calling .

  Dispatches to the specific visit method for this node type. For example, calls the .

  The result of visiting this node.

  The visitor to visit this node with.
- Property
  3.5.0.0
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Linq.Expressions.Expression> To be added.

  The property is an empty collection if the constructor takes no arguments.

  Gets the arguments to the constructor.

- Property
  3.5.0.0
  4.0.0.0
  System.Reflection.ConstructorInfo To be added. To be added.

  Gets the called constructor.

- Property
  3.5.0.0
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Reflection.MemberInfo> To be added.

  The property provides a mapping between the constructor arguments and the type members that correspond to those values. In the case of the construction of an anonymous type, this property maps the constructor arguments to the properties that are exposed by the anonymous type. This mapping information is important because the fields that are initialized by the construction of an anonymous type, or the properties that access those fields, are not discoverable through the or properties of a node.

  Gets the members that can retrieve the values of the fields that were initialized with constructor arguments.

- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this .

- Property
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the static type of the expression that this represents.

- Method
  4.0.0.0
  System.Linq.Expressions.NewExpression `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression.

  This expression if no children are changed or an expression with the updated children.

  The property of the result.